(* $Id$ *)
let init_repo = 
        print_endline "Initializing repository...";
        print_endline "It's required for the repository name and id.";
        print_endline "Create one? (y/n)";
        match input_line stdin with
        |"y"->
                        let title =
                                print_endline "Title for repository: ";
                                input_line stdin in
                        let authors =
                                print_endline "Authors (format: name <name@email> <http://website>): ";
                                input_line stdin in
                        Kosuzu.File_store.file "txt.conf" 
                        (Printf.sprintf "Id:%s\nTitle: %s\nAuthors: %s\n" (Kosuzu.Id.generate ()) title authors);
                        Kosuzu.File_store.of_kv_file ()
        | _ ->
                        print_endline "Aborting..."; exit 1
